/// <summary> /// default constructor /// </summary> /// <param name="wallGeo"> /// the mapped wall geometry information /// </param> public WallDrawing(WallGeometry wallGeo) { m_coordinateFont = new Font("Verdana", 10, FontStyle.Regular); m_wallLine2D = new WallBaseline2D(); m_myDocument = wallGeo.MyDocument; m_refGeometry = wallGeo; }
/// <summary> /// constructor /// </summary> /// <param name="commandData"> /// object which contains reference of Revit Application /// </param> public MyDocument(ExternalCommandData commandData) { if (null != commandData.Application.ActiveUIDocument) { m_commandData = commandData; m_uiDocument = m_commandData.Application.ActiveUIDocument; m_document = m_uiDocument.Document; m_views = new List <Autodesk.Revit.DB.View>(); m_wallTypes = new List <WallType>(); m_wallGeometry = new WallGeometry(this); m_wallCreated = false; m_gridGeometry = new GridGeometry(this); // get all the wall types and all the view plans InitializeData(); // get the length unit type of the active Revit document GetLengthUnitType(); // initialize the curtain grid operation type m_activeOperation = new LineOperation(LineOperationType.Waiting); } }